IBM M5110 and CVPM02: super capacitor doesn't work with latest firmware

jamaicada

New Member
Feb 25, 2016
17
6
3
35
Hi,

CVPM02 (this seller is thinking that it's BBU09) was bought here BBU09 for LSI 49571-03 9286 9286CV-8e 9285 9285CV-8e IBM M5110 M5016. M5110 was bought from the same seller.
However, CVPM02 doesn't work on M5110 with latest firmware (23.33.0-0043). I had to flash all firmwares one by one and found that firmwares 23.29.0-0015, 23.33.0-0018 and 23.33.0-0043 can't recognize this BBU. "Connected supercap having revision 3 is not supported on this controller" error.
The latest firmware which can recognize CVPM02 module - 23.22.0-0024.
1. anyone else is facing such issue?
2. what can I do to fix this? As far as I can see it's something firmware related.
3. M5110 still can't be flashed to LSI card?

Thank you for your time.
 

Attachments

Last edited:

OBasel

Active Member
Dec 28, 2010
494
62
28
That's insane. Is there supercap firmware?

Any reason not to just use the older firmware?
 

jamaicada

New Member
Feb 25, 2016
17
6
3
35
I bought 2 M5016 cards and the BBU09 from that seller and they all play nice together, even after updating the firmware on the M5016 cards to the latest.

Sorry, I can't offer more help.
As far as I can see, latest firmware for m5016 is 23.16.0-0027. Problem is in 23.29.0-0015 which isn't available for M5016. So I think you'll never get such problem.
Searching for any succesfull story about crossflashing to 9266/9271 or any other compatible LSI card ...
 
Last edited:

Stereodude

Active Member
Feb 21, 2016
412
67
28
USA
When I was searching around for my next RAID card before I settled on the M5016 I recall reading that the IBM cards would take the LSI firmwares without any hacks or tricks, but I haven't tried it.
 

jamaicada

New Member
Feb 25, 2016
17
6
3
35
1. Flashing to latest LSI firmware doesn't solve the issue.
2. Problem is starting from LSI firmware 23-29-0-0016. And it's kinda funny because changelog saying
Code:
SCGCQ00725140 - (Port_Complete) - Extend firmware support for the new SuperCap revisions
3. The latest LSI firmware that works with CVPM02 is 23-28-0-0010
 

Stereodude

Active Member
Feb 21, 2016
412
67
28
USA
So I decided to try the latest LSI firmware on my IBM ServeRAID M5016 and sure enough the Supercap doesn't work. It just shows up as missing. However, there's this note in the readme for the firmware:
Code:
**************************************************************************************************************************
***********PLEASE READ IF USING CACHEVAULT OPTION ON ANY OF THESE MEGARAID CONTROLLERS ***********************************
**************************************************************************************************************************
If using Cachevault option on your MegaRAID Controller, the Gas Gauge component on your controller should also be updated.
Please refer to the "Gas Gauge Update Procedure" pdf included in this package.
If there are any questions regarding Gas Gauge upgrade, please contact Technical Support or your Field Support.
**************************************************************************************************************************
**************************************************************************************************************************
I'm in the process of reading how to update the firmware right now. Of course it tells me to determine what CacheVault version I have and go from there, but with the latest firmware the card just tells me I don't have one. I guess I will be rolling the firmware back first.

Was there a similar note for the M5110?
 

Attachments

jamaicada

New Member
Feb 25, 2016
17
6
3
35
Yes, it was. It's the same GasGauge update file as LSI offers. And yes, I updated this.
The problem still exists.
 

Stereodude

Active Member
Feb 21, 2016
412
67
28
USA
Yes, it was. It's the same GasGauge update file as LSI offers. And yes, I updated this.
The problem still exists.
Sorry, I thought that might have been part of the problem and wasn't sure if you saw it.

Okay, after rolling back my firmware to the most recent IBM one, upgrading my GasGauge, and flashing back to the latest LSI firmware 23.34.0-0005 (MR 5.14) I have the same issue with the supercap not working on my M5016.

Now I'm trying to find the latest firmware that will work with the supercap. :mad:

Edit: Firmware Package: 23.28.0-0015 (MR 5.10 Patch release) is the most recent one that will work.
 
Last edited:

verticalsoft

New Member
Oct 18, 2016
5
0
1
53
Has anyone got any further with this?, I have 2 of these and would love to have them on current firmware.
 

jamaicada

New Member
Feb 25, 2016
17
6
3
35
Replace it with 81Y4579 or use 23.28.0-0015 firmware as the latest. Couldn't find any other solution for this.
 

Stereodude

Active Member
Feb 21, 2016
412
67
28
USA
In English: ServeRAID M5100 Series: "Connected SuperCap having revision 13 is not supported on this Controller" message after updating firmware - Lenovo x86 Servers and IBM Systems - US

Replace it with 81Y4579 or use 23.28.0-0015 firmware as the latest. Couldn't find any other solution for this.
Really late to prove this out, but I can confirm using the 81Y4579 super capacitor allows the latest firmware (5.14PR) to be used with the M5016.

The good news is that they 81Y4579 is readily available and cheap at $15 shipped (or less) on eBay now.